io.stdout:setvbuf('no')
if arg[#arg] == "-debug" then require("mobdebug").start() end

-- Returns the distance between two points.
function math.dist(x1,y1, x2,y2) return ((x2-x1)^2+(y2-y1)^2)^0.5 end
-- Returns the angle between two points.
function math.angle(x1,y1, x2,y2) return math.atan2(y2-y1, x2-x1) end

sW,sH = love.graphics.getDimensions()
gamestate = "starmap" 

camera = require("modules.camera")
require("lib.gooi")


ui = require("main_UI")
stars = require("modules.stars")

function love.load()
  stars.load()
  ui.stars.load()
end

function love.update(dt)
  gooi.update(dt)
  if gamestate == "starmap" then
    stars.update(dt)
    ui.stars.update(dt)
  end
end

function love.mousepressed(x, y, button)
  gooi.pressed() 
  stars.mousepressed(x,y,button)
end

function love.mousereleased(x, y, button)
  gooi.released() 
end

function love.draw()
  love.graphics.print(love.mouse.getX() + camera.x,10,10)
  love.graphics.print(love.mouse.getY() + camera.y,10,20)
  camera:set()
  if gamestate == "starmap" then
    stars.draw()
    gooi.draw("stars")
  end
  camera:unset()
  gooi.draw()

end